[Toaster] [PATCH v3 15/15] toaster: update local/conf
Ed Bartosh
ed.bartosh at linux.intel.com
Fri Mar 11 00:06:37 PST 2016
Added 'INHERIT+="toaster buildhistory"' line to the conf/local conf
when Toaster starts. It should make commandline builds to provide
all required information to Toaster backend.
Signed-off-by: Ed Bartosh <ed.bartosh at linux.intel.com>
---
bitbake/bin/toaster | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster
index 5cc77ed..93c9145 100755
--- a/bitbake/bin/toaster
+++ b/bitbake/bin/toaster
@@ -253,8 +253,8 @@ case $CMD in
# Create configuration file
conf=${BUILDDIR}/conf/toaster.conf
- echo "# Created by toaster start script" > $conf
- echo "INHERIT+=\"toaster buildhistory\"" >> $conf
+ line='INHERIT+="toaster buildhistory"'
+ grep -q "$line" $conf || echo $line >> $conf
if [ $WEBSERVER -gt 0 ] && ! webserverStartAll; then
echo "Failed ${CMD}."
--
2.1.4
More information about the toaster
mailing list